"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x10a592680>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x10a592710>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10a5927a0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10a592830>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10a5928c0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10a592950>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10a5929e0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10a592a70>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10a592b00>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10a592b90>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10a592c20>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10a592cb0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10a592d40>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10a592dd0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10a592e60>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10a592ef0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10a592f80>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10a593010>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10a5930a0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10a593130>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10a5931c0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10a593250>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10a5932e0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10a593370>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10a593490>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10a593400>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10a593520>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10a5935b0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10a593640>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10a5936d0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10a593760>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10a5937f0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10a593880>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10a593910>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10a5939a0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10a593a30>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10a593ac0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10a593b50>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10a593be0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10a593c70>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10a593d00>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10a593d90>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10a593e20>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10a593eb0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10a593f40>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d0040>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d00d0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d0160>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d01f0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d0280>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d0310>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d03a0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d0430>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d04c0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d0550>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d05e0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d0670>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d0700>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d0790>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d0820>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d08b0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d0940>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d09d0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d0a60>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d0af0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d0ca0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d0b80>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d0d30>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d0dc0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d0e50>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d0ee0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d0f70>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d1090>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d1000>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d1120>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d11b0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d1240>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d1360>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d12d0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d13f0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d1480>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d1510>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d15a0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d1630>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x10a5d16c0>)]
name: str = 'fr_HOCCN'
